Search documentation of tiger_stripe

# Stripe.Services.TestHelpers.Issuing.PersonalizationDesignService (tiger_stripe v0.1.1)

Copy Markdown View Source

PersonalizationDesign API operations.

## Summary

### Functions

activate(client, personalization_design, params \\ %{}, opts \\ [])

Activate a testmode personalization design

deactivate(client, personalization_design, params \\ %{}, opts \\ [])

Deactivate a testmode personalization design

reject(client, personalization_design, params \\ %{}, opts \\ [])

Reject a testmode personalization design

## Functions

# activate(client, personalization_design, params \\ %{}, opts \\ [])

    @spec activate(Stripe.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

Activate a testmode personalization design

Updates the `status` of the specified testmode personalization design object to `active`.

# deactivate(client, personalization_design, params \\ %{}, opts \\ [])

    @spec deactivate(Stripe.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

Deactivate a testmode personalization design

Updates the `status` of the specified testmode personalization design object to `inactive`.

# reject(client, personalization_design, params \\ %{}, opts \\ [])

    @spec reject(Stripe.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

Reject a testmode personalization design

Updates the `status` of the specified testmode personalization design object to `rejected`.